fse.vo

## Class DocumentInfo

- java.lang.Object
- - fse.vo.DocumentInfo

-     public class DocumentInfo
      extends java.lang.Object

  Contiene le informazioni disponibili per un determinato documento

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `documentType`
    `private DocumentURI` | `documentURI`
    `private java.util.List<Metadata>` | `metadata`
    `private java.util.List<SAMLAssertion>` | `samlAssertions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocumentType()` Restituisce il tipo del documento secondo la codifica LOINC.
    `DocumentURI` | `getDocumentURI()` Restituisce l'identificativo del documento
    `java.util.List<Metadata>` | `getMetadata()` Restituisce la lista dei metadati registrati sul Fascicolo per il documento
    `java.util.List<SAMLAssertion>` | `getSamlAssertions()` Restituisce la lista delle asserzioni da inviare per il recupero del documento
    `void` | `setDocumentType(java.lang.String documentType)` Imposta il tipo del documento secondo la codifica LOINC.
    `void` | `setDocumentURI(DocumentURI documentId)` Imposta l'identificativo del documento
    `void` | `setMetadata(java.util.List<Metadata> metadata)` Imposta la lista dei metadati per il documento
    `void` | `setSamlAssertions(java.util.List<SAMLAssertion> samlAssertions)` Imposta la lista delle asserzioni da inviare per il recupero del documento

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### documentURI

          private DocumentURI documentURI

    - #### documentType

          private java.lang.String documentType

    - #### metadata

          private java.util.List<Metadata> metadata

    - #### samlAssertions

          private java.util.List<SAMLAssertion> samlAssertions

  - ### Constructor Detail

    - #### DocumentInfo

          public DocumentInfo()

  - ### Method Detail

    - #### getDocumentURI

          public DocumentURI getDocumentURI()

      Restituisce l'identificativo del documento
      Returns:
        l'identificativo del documento

    - #### setDocumentURI

          public void setDocumentURI(DocumentURI documentId)

      Imposta l'identificativo del documento
      Parameters:
        `documentId` - il nuovo identificativo del documento

    - #### getDocumentType

          public java.lang.String getDocumentType()

      Restituisce il tipo del documento secondo la codifica LOINC.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Returns:
        il tipo di documento

    - #### setDocumentType

          public void setDocumentType(java.lang.String documentType)

      Imposta il tipo del documento secondo la codifica LOINC.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Parameters:
        `documentType` - il tipo di documento

    - #### getMetadata

          public java.util.List<Metadata> getMetadata()

      Restituisce la lista dei metadati registrati sul Fascicolo per il documento
      Returns:
        la lista dei metadati del documento

    - #### setMetadata

          public void setMetadata(java.util.List<Metadata> metadata)

      Imposta la lista dei metadati per il documento
      Parameters:
        `metadata` - la lista dei metadati per il documento

    - #### getSamlAssertions

          public java.util.List<SAMLAssertion> getSamlAssertions()

      Restituisce la lista delle asserzioni da inviare per il recupero del documento
      Returns:
        la lista delle asserzioni da inviare per il recupero del documento

    - #### setSamlAssertions

          public void setSamlAssertions(java.util.List<SAMLAssertion> samlAssertions)

      Imposta la lista delle asserzioni da inviare per il recupero del documento
      Parameters:
        `samlAssertions` - la lista delle asserzioni per il recupero